can't install a snap with ca-certificates-java as a build-package

Bug #1693058 reported by Leo Arias
10
This bug affects 2 people
Affects Status Importance Assigned to Milestone
Snapcraft
Critical
Leo Arias

Bug Description

If we try to make a snap with ca-certificates-java as a build-package, it will fail with:

Could not find a required package in 'build-packages': "The cache has no package named 'openjdk-7-jre-headless'"

The problem here is that in order to record the dependencies of the packages, we are taking the first of the " | " dependencies. ca-certificates-java has the following dependencies:

Depends: ca-certificates (>= 20121114), openjdk-7-jre-headless (>= 7~u3-2.1.1~pre1-1) | java7-runtime-headless, libnss3 (>= 3.12.9+ckbi-1.82-0ubuntu3~)

openjdk-7-jre-headless doesn't exist in the archive, but java7-runtime-headless does. So we shouldn't blindly pick any of the dependencies, we should search for the first one that's available in the archive.

To reproduce:

$ snapcraft init
add build-packages: [ca-certificates-java]
$ snapcraft

Leo Arias (elopio)
Changed in snapcraft:
assignee: nobody → Leo Arias (elopio)
Revision history for this message
Leo Arias (elopio) wrote :
description: updated
Revision history for this message
Kyle Fazzari (kyrofa) wrote :
Revision history for this message
Leo Arias (elopio) wrote :

yes, thanks for the reminder.

Changed in snapcraft:
status: Triaged → Fix Released
To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers